1. Daerid's Avatar
    Ok, here is where I am sitting.

    I have a MAC w/ OSX 10.5
    iPhone w/ 1.1.2
    iTunes 7.5

    I cannot do the downgrade due to having iTunes 7.5 (iNdependence does not work with 7.5, only 7.4 and below)

    Can someone explain the best way for me to move to 1.1.1 then I can finish the steps.

    FYI, I tried all the way to the iNdependance step, and was stopped there. I am not an idiot, but I am also not an overly expierenced MAC user. I have used PCs for most of my life until about 6 months ago.

    If there is a way to downgrade itunes w/o causing issues, I am up for that, but where would I get v7.4?

    Best regards,

    - Daerid -
    2007-11-21 05:39 PM
  2. redcard's Avatar
    2007-11-21 05:43 PM
  3. Freshboiii's Avatar
    You can hold control and press Restore, to downgrade to 1.1.1.
    2007-11-21 06:24 PM
  4. abhaykhanna's Avatar
    You have to put the 1.1.2 phone in DFU mode. To do so, connect your phone to the comp, ignore itunes. press the top and bottom button together till the screen turns blank. Release the top button, itunes will say that the phone is in recovery mode. Press Alt+Restore and downgrade to 1.1.1. Jailbreak using *#307# method. Install OktoPrep, restart the phone. Upgrade 1.1.2.

    Since I had unlocked my phone using IPSF method, I didnt had to use AnySim or any other unlocking method. I dont know what method you used to unlock your iphone, or even if you did. But IF you have unlock the phone, then unlock it before upgrading to 1.1.2 and after you jailbreak 1.1.1
    2007-11-21 06:35 PM
  5. Daerid's Avatar
    Ok. Here is what I have done, and I am getting nowhere.

    1st. I am on OSX Leopard 10.5
    I have iTunes 7.5

    I have been able to downgrade to 1.1.1
    Installed OkToPrep thru Installer
    Upgraded to 1.1.2

    How do I jailbreak 1.1.2 now that I have installed OkToPrep?

    I tried an application by Connected that said after following all of the steps. I read that I have to run the osx file from the terminal, but the issue now seems to be iPhuc.

    Does iPhuc not run on Leopard?

    So I try just dbl-clicking the jar file itself, clicking to install SSH w/ alpine as the password, but it fails too...

    Ideas?
    Last edited by Daerid; 2007-11-23 at 05:32 AM.
    2007-11-23 05:27 AM
  6. abhaykhanna's Avatar
    Sorry for the late reply. Hadnt been checking on my posts. You need to use Jailbreak.jar when upgraded back to 1.1.2

    I dont remember where I found it, but there was some link I found and it jailbreaked 1.1.2. That will make your phone work.
    2007-11-24 07:05 PM
  7. Daerid's Avatar
    I tried jailbreak.jar, but it keeps failing saying it cannot access iPhuc.
    2007-11-24 07:52 PM
  8. windywales's Avatar
    I did it with itunes 7.5 on a mac using this version of independence and mobiledevice:

    http://www.macupdate.com/info.php/id/25817/independence

    http://rapidshare.com/files/68410680...ework.zip.html

    You can get issues during various stages if itunes is still running in the background.
    Last edited by windywales; 2007-11-24 at 10:08 PM.
    2007-11-24 10:06 PM
  9. shakazulu's Avatar
    I tried jailbreak.jar, but it keeps failing saying it cannot access iPhuc.
    Have you tried to downloaded: libreadline.5.2.dylib (http://xxxxxxxxxxx.com/files/61509655/opt.zip.html)and and install it:
    /opt/local/lib/libreadline.5.2.dylib, that could solve the problem.
    also make sure you use java 5 and not 1.4x. I had issues cause of that. It was not working on my cause I use as a default java 1.4.x
    2007-11-24 10:49 PM
  10. Daerid's Avatar
    ok, the lib definately needs to be installed. Thanks for that!! Now, since I am new to MAC, how can I tell what version of Java I am using? And once I figure out I'm using the wrong one, how do I force it to 5? Just go to sun.com and intall it? That sounded like a stupid question, but your response makes it sound like you have 2 versions installed.

    FYI. I work in the software industry and am VERY adept at computers, I just keep getting stumped by this.

    Thanks for everyones help!!

    - Daedid -
    Last edited by Daerid; 2007-11-25 at 12:15 AM.
    2007-11-25 12:11 AM
  11. lucian.pop's Avatar
    1.download installer for older version
    2.delete Itunes 7.5 from Applications
    3.Delete the following files:

    /System/Library/Extensions/AppleMobileDevice.kext
    /System/Library/PrivateFrameworks/DeviceLink.framework
    /System/Library/PrivateFrameworks/MobileDevice.framework
    /Library/Receipts/AppleMobileDeviceSupport.pkg

    empty trash
    Install itunes 7.4 and you will be ok

    http://oldapps.com/download.php?olda...Tunes7.4.2.dmg
    Last edited by lucian.pop; 2007-11-25 at 12:23 AM. Reason: Automerged Doublepost
    2007-11-25 12:23 AM
  12. Daerid's Avatar
    thanks, now how do I know what version of Java I am running?
    2007-11-25 12:53 AM
  13. shakazulu's Avatar
    thanks, now how do I know what version of Java I am running?
    applications/utilities/java
    and there you can configure the 2 java versions that are installed.
    the part is for the web browser and the second should show 2 java version
    1.4
    5.x
    in that order. Change the order by pulling 5 over 1.4

    in the terminal window type: java -version and it should show the version used.
    You can also do that to check it before you do anyhting
    2007-11-25 09:28 AM
LINK TO POST COPIED TO CLIPBOARD